# End Use Intensity

![](/files/-MihphtpXoJs0jO3GPu0)

![](/files/-MihpgCrwADtN0JibKvx) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20End%20Use%20Intensity.py)

Get information about end use intensity from an EnergyPlus SQL file.

## Inputs

* **sql \[Required]**

  The file path of the SQL result file that has been generated from an energy simulation. This can also be a list of EnergyPlus files in which case, EUI will be computed across all files.&#x20;
* **ip**

  Boolean to note whether the EUI should be in SI (kWh/m2) or IP (kBtu/ft2) units. (Default: False).&#x20;

## Outputs

* **eui**

  The total end use intensity result from the simulation. Specifically, this is the sum of all electricity, fuel, district heating/cooling, etc. divided by the gross floor area (including both conditioned and unconditioned spaces). The value will be in kWh/m2 if ip\_ is False or None and kBtu/ft2 if True.&#x20;
* **eui\_end\_use**

  The end use intensity result from the simulation, broken down by each end use. These values coorespond to the end*uses output below. Values will be in kWh/m2 if ip* is False or None and kBtu/ft2 if True.&#x20;
* **end\_uses**

  A list of text for each of the end uses in the simulation (Heating, Cooling, etc.). Thes outputs coorespond to the eui\_end\_use output above.&#x20;
* **gross\_floor**

  The total gross floor area of the energy model. This can be used to compute the total energy use from the intensity values above or it can be used to help with other result post-processing. The value will be in m2 if ip\_ is False or None and ft2 if True.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/6_result/end_use_intensity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
